Bug 74803 - redhat-config-network causes oops in ns83820 driver
Summary: redhat-config-network causes oops in ns83820 driver
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ben LaHaise
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-01 20:13 UTC by Tom Wood
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-23 17:56:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ksymoops results (3.33 KB, text/plain)
2002-10-01 20:31 UTC, Tom Wood
no flags Details

Description Tom Wood 2002-10-01 20:13:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Running redhat-config-network causes the driver for a Netgear GA622T to oops.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot machine with a ns83820 card in it.
2.Run redhat-config-network
3.Observe segfault and kernel oops.
	

Actual Results:  kernel oopses in ns83820 driver

Expected Results:  Should have gotten the redhat-config-network applet.

Additional info:

When rebooting, the system hangs during shutdown just after shutting down the
system logger.  A hardware reset/manual power off is required.

The hardware configuration partially consists of an Abit AT7 motherboard with a
Netgear GA622T NIC.

Comment 1 Tom Wood 2002-10-01 20:31:46 UTC
Created attachment 77964 [details]
ksymoops results

Comment 2 Tom Wood 2002-10-03 16:42:35 UTC
Same problem in the stock 2.4.19 and 2.4.20-pre8 kernels.  segfaults in
ns83820_ethtool_ioctl.

Comment 3 Ben LaHaise 2002-10-03 16:47:43 UTC
Whoops, I see the problem.  A fix is on its way to the maintainers.

Comment 4 Tom Wood 2002-10-10 14:42:48 UTC
Didn't see this fix in 2.4.20-pre10.  Any idea when we'll see this in a RH
kernel or in the main?

Comment 5 Ben LaHaise 2003-01-23 17:56:46 UTC
Closing.  The fix for this is in current errata kernels and upstream.


Note You need to log in before you can comment on or make changes to this bug.